export default (function (_ref) {
  var projectId = _ref.projectId,
      appServiceInstanceId = _ref.appServiceInstanceId,
      versionId = _ref.versionId;
  return {
    autoCreate: false,
    autoQuery: false,
    selection: false,
    dataKey: null,
    paging: false,
    transport: {
      read: function read(_ref2) {
        var data = _ref2.data;
        return {
          url: "/devops/v1/projects/".concat(projectId, "/app_service_instances/").concat(appServiceInstanceId, "/appServiceVersion/").concat(data.versionId || versionId, "/upgrade_value"),
          method: 'get'
        };
      }
    },
    fields: [{
      name: 'yaml',
      type: 'string'
    }]
  };
});